html .hero {
  background-color: #838996;
}


h1.title::before {
  content: ' ';
  background-image: url(data:image/png;base64,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);
  background-repeat: no-repeat;
  background-position: top left;

  display: inline-block;
  width: 160px;
  height: 60px;
  background-size: contain;
  vertical-align: top;
  position: relative;
  top: -6px;
}

html .hero-body, .section {
  padding: 1.5rem 1.5rem;
}

h1.title, h2.title {
  font-weight: 400;
}

@media (max-width: 767px) {
  html .sidebar nav {
    max-height: inherit;
    position: static;
  }
}

/* Necessary to prevent horiz. scrolling in firefox on menu click */
body > div > .columns > .column:not(.is-nav) {
  overflow-x: hidden;
}

@media (min-width: 768px) and (max-width: 1087px) {
  .column.is-nav {
    min-width: 220px;
  }
}

[href="#type__Offset"], #type__Offset {
  display: none !important;
}

[href="#type__More"], #type__More {
  display: none !important;
}

/* Special formatting for footnotes */
main a[href^="#note"] {
  font-weight: bold;
  vertical-align: super;
  font-size: 75%;
}
main a[href^="#note"]:before {
  content: '[';
}
main a[href^="#note"]:after {
  content: ']';
}

/* Hide built-in "basic info" section */

#__basic_information_docs {
  display: none;
}

a[href="#__basic_information_docs"] {
  display: none;
}

/* "Try it Yourself" button */
a.apitool-link {
  display: none; /* displayed if apitool=1 */
  border: 1px solid #004695;
  color: #004695;
  padding: 8px 16px;
}

a.apitool-link:hover {
  color: #002d60;
  background-color: #f5f5f5;
  border: 1px solid #002d60;
}

/* Force no highlight on curl examples */
.lang-curl {
  color: #343a40;
}
